## grendel.storage.addressparser
Class AddressCorrector

    java.lang.Object
      |
      +--grendel.storage.addressparser.RFC822AddressList
            |
            +--grendel.storage.addressparser.AddressCorrector

public class AddressCorrector
extends RFC822AddressList

A subclass of RFC822AddressList. Its purpose is to catch exceptions created by known correctable RFC822 parsing error. It will respond to those exceptions by modifying the input str until it can be parsed into a valid list of addresses.
A WORK IN PROGRESS

See Also:
  `RFC822AddressList`

Constructor Summary
`AddressCorrector(java.lang.String str)`

Methods inherited from class grendel.storage.addressparser.RFC822AddressList
`getAddressString, getErrorString, isError, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddressCorrector

    public AddressCorrector(java.lang.String str)